Summary: A Ruby module to define delegations for selected methods to a class
Name: ruby-forwardable
%define tarname forwardable-%{version}
Version: 1.1
Release: 1
License: LGPL
Group: Applications/Ruby
Source: ftp://ftp.ruby-lang.org/pub/ruby/contrib/forwardable-1.1.tgz
URL: http://www.ruby-lang.org/en/raa-list.rhtml?name=forwardable
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%description
A Ruby module to define delegations for selected methods to a class.

%prep
%setup -n %{tarname}

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
eval sitedir=`ruby -r rbconfig -e 'p Config::CONFIG["sitedir"]'`
mkdir -p $RPM_BUILD_ROOT/$sitedir
install forwardable.rb $RPM_BUILD_ROOT/$sitedir

find $RPM_BUILD_ROOT/usr -type f -print | sed -e "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc forwardable.rd*

%changelog
* Tue Mar 26 2002 Ian Macdonald <ian@caliban.org>
- 1.1
